%define debug_package %{nil}
%define _build_id_links none
%define _disable_source_fetch 0

%define component_name core

Name: cutefish-core
Version: 0.8
Release: 1%{?dist}
License: GPLv3
Summary: System components, backend, and session files for Cutefish Desktop
Group: Graphical desktop/Other
Packager: Vadim Morozov <vadim@morozoff.pro>

BuildRequires: cmake gcc-c++ libX11-devel libxcb-devel libxcbutil-cursor-devel libxcbutil-devel libxcbutil-icccm-devel libxcbutil-image-devel libxcbutil-keysyms-devel 
BuildRequires: extra-cmake-modules
BuildRequires: libpolkit-devel libpolkitqt5-qt5-devel libSM-devel
BuildRequires: xorg-drv-libinput-devel
BuildRequires: libXcursor-devel
BuildRequires: libxcbutil-icccm-devel libxcbutil-devel libxcbutil-image-devel  libxcbutil-keysyms-devel libXtst-devel
BuildRequires: libpulseaudio-devel
BuildRequires: qt5-base-devel qt5-x11extras-devel qt5-tools-devel qt5-declarative-devel qt5-quickcontrols2-devel
BuildRequires: kf5-kwindowsystem-devel libpolkit-devel libpolkit-qt5-agent libpolkit-qt5-gui libpolkitqt5-qt5-devel libxcbutil-cursor libxcbutil-cursor-devel libxcbutil-devel libxcbutil-image-devel xorg-drv-libinput-devel xorg-drv-synaptics-devel libgranite-devel appmenu-qt5 kf5-kidletime-devel
BuildRequires: fishui
Requires:libqt5-core libdbusmenu-qt52 appmenu-qt5 libdbusextended-qt5 libqt5-dbus libqt5-gui libqt5-qml libqt5-quick libqt5-x11extras libstdc++6 libkf5quickaddons kf5-kwindowsystem-common  libkf5bluezqt libkf5networkmanagerqt libkf5modemmanagerqt  kf5-kio-devel qt5-sensors-devel libcanberra libpulseaudio libpcre-devel ModemManager libpolkit-qt5-core libxcbutil-cursor libxcbutil libxcbutil-image libpolkit xorg-drv-libinput xorg-drv-synaptics libgranite appmenu-qt5 libkf5idletime
Requires: pulseaudio-daemon 
Requires: fishui
AutoReq: no

Source0: https://github.com/cutefishos/core/archive/refs/tags/%{version}.tar.gz


%description
CutefishOS system library

#%package devel
#Group: Graphical desktop/Other
#Summary: Development headers for FishUI
#Requires: %{name} = %{version}-%{release}, cmake
#%description devel
#This package provides files sufficient to build software against %{name}

%prep
%setup -qn %{name}-%{version}

%build

mkdir build
pushd build
cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr ..
make %{?_smp_mflags}
popd

%install
pushd build
%makeinstall_std

%files
%{_bindir}/chotkeys
%{_bindir}/cupdatecursor
%{_bindir}/cutefish-cpufreq
%{_bindir}/cutefish-polkit-agent
%{_bindir}/cutefish-powerman
%{_bindir}/cutefish-screen-brightness
%{_bindir}/cutefish-session
%{_bindir}/cutefish-settings-daemon
%{_bindir}/cutefish-shutdown
%{_bindir}/cutefish-xembedsniproxy
%{_datadir}/cutefish-polkit-agent
%{_datadir}/cutefish-settings-daemon
%{_datadir}/cutefish-shutdown
%{_datadir}/polkit-1/actions/com.cutefish.brightness.pkexec.policy
%{_datadir}/polkit-1/actions/com.cutefish.cpufreq.pkexec.policy
%{_datadir}/xsessions/cutefish-xsession.desktop
%{_sysconfdir}/xdg/autostart/cutefish-polkit-agent.desktop
  /etc/cutefish
   /usr/bin/cutefish-clipboard
   /usr/bin/cutefish-gmenuproxy
   /usr/bin/cutefish-notificationd
   /usr/bin/cutefish-sddm-helper
   /usr/lib/systemd/user/cutefish-gmenuproxy.service
   /usr/share/cutefish-notificationd/translations/en_US.qm
   /usr/share/cutefish-notificationd/translations/zh_CN.qm
   /usr/share/polkit-1/actions/com.cutefish.sddm.helper.pkexec.policy


%changelog
* Sun May 08 2022 Vadim Morozov <vadim@morozoff.pro> 
- Initial build for Sisyphus

