%define oname kwin-plugins
%define component_name core

Name:           cutefish-kwin-plugins
Version:        0.8
Release:        1
Summary:        Some configurations and plugins of KWin.
License:        GPL-3.0-or-later
Group:          System/GUI/Other
URL:            https://github.com/cutefishos/kwin-plugins
Source:         https://github.com/cutefishos/kwin-plugins/archive/refs/tags/%{version}/%{oname}-%{version}.tar.gz
Packager: Vadim Morozov <vadim@morozoff.pro>

BuildRequires:  cmake
BuildRequires:  plasma5-kdecoration-devel
BuildRequires:  kf5-kconfig-devel
BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  libkwineffects13
BuildRequires:  kf5-kwindowsystem-devel
BuildRequires:  kf5-kwayland-devel
BuildRequires:  qt5-base-devel
BuildRequires:  libdbusmenu-qt5-devel
BuildRequires:  libqt5-gui
BuildRequires:  libqt5-network 
BuildRequires:  qt5-networkauth-devel 
BuildRequires:  qt5-base-devel-static
BuildRequires:  libqt5-opengl 
BuildRequires:  qt5-tools-devel
BuildRequires:  qt5-declarative-devel
BuildRequires:  qt5-multimedia-devel
BuildRequires:  qt5-x11extras-devel 
BuildRequires:  libepoxy-devel
BuildRequires:  libxcbutil-devel

%description
Cutefish Desktop KWin Plugins.

%prep
%setup -qn %{name}-%{version}

%build

mkdir build
pushd build
cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr ..
make %{?_smp_mflags}
popd

%install
pushd build
%makeinstall_std


%files
%doc README.md
%config(noreplace) %{_sysconfdir}/xdg/kglobalshortcutsrc
%exclude %{_sysconfdir}/xdg/kwinrc
%config(noreplace) %{_sysconfdir}/xdg/kwinrulesrc
%dir %{_datadir}/kwin
%dir %{_datadir}/kwin/effects
%{_datadir}/kwin/effects/cutefish_popups/
%{_datadir}/kwin/effects/cutefish_squash/
%{_datadir}/kwin/effects/cutefish_scale/
%dir %{_datadir}/kwin/scripts
%{_datadir}/kwin/scripts/cutefishlauncher/
%dir %{_datadir}/kwin/tabbox
%{_datadir}/kwin/tabbox/cutefish_thumbnail/
%{_libdir}/qt5/plugins/kwin/effects/plugins/libroundedwindow.so
%{_libdir}/qt5/plugins/org.kde.kdecoration2/libcutefishdecoration.so

%changelog
* Sun May 08 2022 Vadim Morozov <vadim@morozoff.pro> 
- Initial build for Sisyphus

