

%define component_name duckstation

Name: duckstation
Version: git
Release: alt1
License: GPLv3
Summary: DuckStation - PlayStation 1, aka. PSX Emulator
Group: Games/Emulators
Packager: Vadim Morozov <vadim@morozoff.pro>
#BuildArch: x86_64

Source0: https://github.com/stenzek/duckstation/archive/refs/heads/dev.zip
BuildRequires: qt5-tools-devel qt5-tools libSDL2-devel libXrandr-devel libwayland-egl-devel libwayland-egl-devel wayland-devel xorg-xwayland-devel egl-wayland-devel extra-cmake-modules libcurl-devel libcurl-gnutls-compat ninja-build libgbm-devel libdrm-devel libevdev-devel 
## optional deps libspeexdsp-devel doxygen
Requires: libSDL2 qt5-base-common

%description
DuckStation is an simulator/emulator of the Sony PlayStation(TM) console, focusing on playability, speed, and long-term maintainability

%prep
%setup -qn duckstation-dev

%build
mkdir build
pushd build
cmake -Bbuild-release -DCMAKE_BUILD_TYPE=Release -GNinja ..
cmake --build build-release --parallel

%install
mkdir -p %{buildroot}/opt
mkdir -p %{buildroot}/usr/share/applications
mkdir -p %{buildroot}/usr/share/pixmaps
cp -rv build/build-release/bin %{buildroot}/opt/duckstation
cp extras/linux-desktop-files/duckstation-qt.desktop %{buildroot}/usr/share/applications
cp extras/icons/icon-256px.png %{buildroot}/usr/share/pixmaps/duckstation.png



%files
/opt/*
/usr/share/applications/*
/usr/share/pixmaps/*

%post 
ln -svt /usr/bin /opt/duckstation/duckstation-qt


